Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trace
Interface InstructionInfoProvider

All Known Implementing Classes:
  Adjust, Aggregate, AnalyzeString, AnalyzeStringFunction, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicSequenceConverter, Atomizer, AttributeSet, Available, AxisExpression, BaseURI, BinaryExpression, Block, BooleanExpression, BooleanFn, CallTemplate, CardinalityChecker, CastableExpression, CastExpression, Choose, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, Contains, ContextItemExpression, Controller, Copy, CopyOf, Current, CurrentDateTime, CurrentGroup, CurrentItemExpression, Data, DateTimeConstructor, DeepEqual, DefaultCollation, DistinctValues, Doc, DocAvailable, Doctype, Document, DocumentInstr, DocumentSorter, DynamicFunction, DynamicFunctionCall, EagerLetExpression, ElementCreator, Error, ErrorExpression, EscapeURI, Evaluate, Existence, Expression, ExtensionFunctionCall, FilterExpression, Find, FirstItemExpression, FixedAttribute, FixedElement, ForceCase, ForEach, ForEachGroup, ForEachGroupFunction, ForExpression, FormatDate, FormatNumber2, FunctionCall, GeneralComparison, GeneralComparison10, GeneralComparisonSA, GeneralVariable, GlobalParam, GlobalVariable, Id, IdentityComparison, Idref, IfExpression, Index, IndexedFilterExpression, IndexedLookupExpression, IndexOf, InScopePrefixes, Insert, InstanceOfExpression, Instruction, InstructionDetails, IntegerRangeTest, IsLastExpression, ItemChecker, KeyDefinition, KeyFn, Lang, Last, LazyExpression, LetExpression, Literal, LocalParam, LocalVariable, LocalVariableReference, Matches, Message, Minimax, NamePart, Namespace, NamespaceForPrefix, NegateExpression, NextMatch, Nilled, NormalizeSpace, NormalizeUnicode, NumberFn, NumberInstruction, NumericPromoter, ParentNodeConstructor, ParentNodeExpression, Parse, PathExpression, PatternMatchExpression, PatternSponsor, Position, PositionRange, ProcessingInstruction, QNameFn, QuantifiedExpression, QuerySimpleContentConstructor, RangeExpression, RegexGroup, Remove, Replace, ResolveQName, ResolveURI, ResultDocument, Reverse, Reverser, Root, RootExpression, Rounding, Serialize, SimpleContentConstructor, SimpleExpression, SimpleMappingExpression, SimpleNodeConstructor, SingleNodeExpression, SingletonAtomizer, SingletonComparison, SliceExpression, SortExpression, StaticBaseURI, StreamingCopy, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, Subsequence, Substring, SuppliedParameterReference, SystemFunction, SystemProperty, TailCallLoop, TailExpression, Template, Tokenize, Trace, TraceExpression, TraceInstruction, TraceWrapper, Translate, TreatFn, Try, TupleExpression, TupleSorter, UnaryExpression, Unordered, UnparsedEntity, UnparsedText, UntypedAtomicConverter, UseAttributeSets, UserFunction, UserFunctionCall, ValueComparison, ValueOf, VariableReference, VennExpression, While, WithParam, XPathFunctionCall

    public interface InstructionInfoProvider

An InstructionInfoProvider is an object that is capable of providing an InstructionInfo object which provides diagnostic information about an instruction or other construct such as a function, template, expression, or pattern.

Method Summary
`InstructionInfo` | `getInstructionInfo()` Get the InstructionInfo details about the construct

Method Detail

### getInstructionInfo

    InstructionInfo getInstructionInfo()

  Get the InstructionInfo details about the construct

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.